# Upgrade EKS 

Upgrade All Kubernetes Components on the Control Plane Node

Switch to the appropriate context with kubectl:

kubectl config use-context acgk8s
Upgrade kubeadm:
```
sudo apt-get update && \
sudo apt-get install -y --allow-change-held-packages kubeadm=1.22.2-00
```
Drain the control plane node:

```kubectl drain acgk8s-control --ignore-daemonsets```
Plan the upgrade:

```sudo kubeadm upgrade plan v1.22.2```
Apply the upgrade:

```sudo kubeadm upgrade apply v1.22.2```
Upgrade kubelet and kubectl:
```
sudo apt-get update && \
sudo apt-get install -y --allow-change-held-packages kubelet=1.22.2-00 kubectl=1.22.2-00
```
Reload:

```sudo systemctl daemon-reload```
Restart kubelet:

```sudo systemctl restart kubelet```
Uncordon the control plane node:

```kubectl uncordon acgk8s-control```

## Upgrade All Kubernetes Components on the Worker Nodes

Drain the worker1 node:

```kubectl drain acgk8s-worker1 --ignore-daemonsets --force```
SSH into the node:

```ssh acgk8s-worker1```
Install a new version of kubeadm:
```
sudo apt-get update && \
sudo apt-get install -y --allow-change-held-packages kubeadm=1.22.2-00
```

Upgrade the node:

```sudo kubeadm upgrade node```
Upgrade kubelet and kubectl:
```
sudo apt-get update && \
sudo apt-get install -y --allow-change-held-packages kubelet=1.22.2-00 kubectl=1.22.2-00
```
Reload:

```sudo systemctl daemon-reload```
Restart kubelet:

```sudo systemctl restart kubelet```
Type exit to exit the node.

Uncordon the node:

```kubectl uncordon acgk8s-worker1```

Repeat the process above for acgk8s-worker2 to upgrade the other worker node.

Conclusion
Congratulations — you've completed this hands-on lab!

```
cloud_user@acgk8s-control:~/.kube$ kubectl get nodes
NAME             STATUS   ROLES                  AGE   VERSION
acgk8s-control   Ready    control-plane,master   14m   v1.22.2
acgk8s-worker1   Ready    <none>                 13m   v1.22.2
acgk8s-worker2   Ready    <none>                 13m   v1.22.2
```

